using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync.MOM
{
    ///物料主数据下发 Body
    public class ProductionCalendarData
    {
        /// <summary>
        // 类型
        /// </summary>
        public string typesOf
        {
            get;
            set;
        } = "";
        /// <summary>
        // 类型编码
        /// </summary>
        public string typeCode
        {
            get;
            set;
        } = "";
        /// <summary>
        // 日历编码
        /// </summary>
        public string calendarEncoding
        {
            get;
            set;
        } = "";
        /// <summary>
        // 班次名称
        /// </summary>
        public string shiftName
        {
            get;
            set;
        } = "";
        /// <summary>
        // 开始时间
        /// </summary>
        public string timeOn
        {
            get;
            set;
        } = "";
        /// <summary>
        /// 结束时间
        /// </summary>
        public string endTime
        {
            get;
            set;
        } = "";
        /// <summary>
        // 开始日期
        /// </summary>
        public string startDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 结束日期
        /// </summary>
        public string endDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 班次描述
        /// </summary>
        public string shiftDescription
        {
            get;
            set;
        } = "";
        /// <summary>
        // 固定休息日
        /// </summary>
        public string fixedRestDays
        {
            get;
            set;
        } = "";
        /// <summary>
        // 法定节日
        /// </summary>
        public List<ProductionCalendarStatutoryData> statutoryHolidays
        {
            get;
            set;
        } = null;
        /// <summary>
        // 非生产时间
        /// </summary>
        public List<ProductionCalendarNonProductionData> nonProductionTime
        {
            get;
            set;
        } = null;   
    }
}
